<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="../templates/app-template.xhtml">

    <ui:define name="content">
        <h:form id="form">
            <h:panelGrid columns="2" cellpadding="5">
                <p:outputLabel value="Name"/>
                <p:inputText value="#{projectBean.project.name}" placeholder="Name"/>

                <p:outputLabel value="Description"/>
                <p:inputText value="#{projectBean.project.description}" placeholder="Description"/>

                <p:outputLabel for="dateBegin" value="Date begin:" />
                <p:calendar id="dateBegin" value="#{projectBean.project.dateBegin}" pattern="dd.MM.yyyy HH:mm:ss"
                            converter="ru.parshin.tm.converter.LocalDateTimeConverter"/>

                <p:outputLabel for="dateEnd" value="Date end:" />
                <p:calendar id="dateEnd" value="#{projectBean.project.dateEnd}" pattern="dd.MM.yyyy HH:mm:ss"
                            converter="ru.parshin.tm.converter.LocalDateTimeConverter"/>

                <p:outputLabel value="Stage"/>
                <p:selectOneMenu value="#{projectBean.project.stage}" placeholder="Stage">
                    <f:selectItems value="#{projectBean.getStages()}" var="stage" itemLabel="#{stage.displayName}"/>
                </p:selectOneMenu>
            </h:panelGrid>
            <p:commandButton action="#{projectBean.saveProject()}" styleClass="buttons"
                             icon="fa fa-fw fa-save" ajax="false"
                             value="Save"/>
            <p:linkButton outcome="pretty:projectList" styleClass="buttons" value="Back"/>
        </h:form>
    </ui:define>

</ui:composition>
